IMG_SaveAVIF(3)

NAME
IMG_SaveAVIF - Save an SDL_Surface into a AVIF image file.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

bool IMG_SaveAVIF(SDL_Surface *surface, const char *file, int quality);

DESCRIPTION
If the file already exists, it will be overwritten.

FUNCTION PARAMETERS

surface
    the SDL surface to save.

file
    path on the filesystem to write new file to.

quality
    the desired quality, ranging between 0 (lowest) and 100 (highest).

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL_image 3.0.0.

SEE ALSO
IMG_SaveAVIF_IO(3)